Bug 598422 - Review Request: maven-idea-plugin - Maven plugin to support IntelliJ projects
Review Request: maven-idea-plugin - Maven plugin to support IntelliJ projects
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 07:43 EDT by Stanislav Ochotnicky
Modified: 2010-06-04 03:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-04 03:22:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2010-06-01 07:43:40 EDT
Spec URL: http://sochotni.fedorapeople.org/maven-idea-plugin-2.2-1.fc13.src.rpm
SRPM URL: http://sochotni.fedorapeople.org/maven-idea-plugin.spec

Description: 
The IDEA Plugin is used to generate files (ipr, iml, and iws) for a
project so you can work on it using the IDE, IntelliJ IDEA.
Comment 1 Stanislav Ochotnicky 2010-06-01 07:49:31 EDT
Forgot to specify that this has dependencies that are for now only available in dist-f14-maven221 target

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2221971
Comment 2 Alexander Kurtakov 2010-06-01 15:47:49 EDT
I'm taking this one.
Comment 3 Alexander Kurtakov 2010-06-01 15:54:45 EDT
Review:

OK: rpmlint must be run on every package. Output:
maven-idea-plugin.noarch: W: spelling-error %description -l en_US ipr -> pr, rip, ppr
maven-idea-plugin.noarch: W: spelling-error %description -l en_US iml -> mil, ml, isl
maven-idea-plugin.noarch: W: spelling-error %description -l en_US iws -> is, ins, its
maven-idea-plugin.noarch: W: no-documentation
maven-idea-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-idea-plugin

False positives. 

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL. 
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a
directory that it uses, then it should require a package which does create that
directory. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. 
OK: If a package includes something as %doc, it must not affect the runtime of
the application. 
OK: Packages must not own files or directories already owned by other packages. 
OK: All filenames in rpm packages must be valid UTF-8.    
OK: Provides/Obsoletes are good.

Package is in a really good shape.

This package is APPROVED.
Comment 4 Stanislav Ochotnicky 2010-06-02 04:36:07 EDT
Thanks for the review. Requesting CVS:

New Package CVS Request
=======================
Package Name: maven-idea-plugin
Short Description: Plugin to support integration with IntelliJ IDEA projects
Owners: sochotni 
Branches: 
InitialCC:
Comment 5 Kevin Fenzi 2010-06-03 16:33:58 EDT
CVS done (by process-cvs-requests.py).
Comment 6 Stanislav Ochotnicky 2010-06-04 03:22:00 EDT
Package built:

https://koji.fedoraproject.org/koji/buildinfo?buildID=176555

Thanks and closing

Note You need to log in before you can comment on or make changes to this bug.